## epr-api 2.3~dev20150708

=== CMakeLists.txt ===
# Copyright (c) 2013-2014 Antonio Valentino <antonio.valentino@tiscali.it>


cmake_minimum_required(VERSION 2.8)
project(epr-api)


# set version number
set(EPR_API_VERSION_MAJOR 2)
set(EPR_API_VERSION_MINOR 3)
set(EPR_API_VERSION_PATCH 0)
set(EPR_API_VERSION_STRING
    "${EPR_API_VERSION_MAJOR}.${EPR_API_VERSION_MINOR}.${EPR_API_VERSION_PATCH}")


# NOTE: only change this when an ABI change happens
set(EPR_API_SOVERSION 2)


# options
option(BUILD_STATIC_LIB "build the static version of the library" ON)
option(BUILD_TESTS "build test programs" OFF)
option(BUILD_DOCS "build Doxygen documentation" OFF)
option(DISABLE_SYMBOL_CONTROL
    "Do not try to control symbols that are exported by the dynamic library.
This option can be used to fix some build issue with non standard linkers."
    OFF)


# testing
enable_testing()


# sub-directories
add_subdirectory(src)

if(BUILD_TESTS)
    add_subdirectory(bccunit)
endif(BUILD_TESTS)

if(BUILD_DOCS)
    add_subdirectory(docs)
endif(BUILD_DOCS)


# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)


# packaging
include(InstallRequiredSystemLibraries)

set(CPACK_GENERATOR TGZ ZIP STGZ)
set(CPACK_SOURCE_GENERATOR TGZ ZIP)
set(CPACK_PACKAGE_VERSION_MAJOR ${EPR_API_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${EPR_API_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${EPR_API_VERSION_PATCH})
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.txt")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY
    "Delft object-oriented radar interferometric software")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE.txt")
set(CPACK_SOURCE_IGNORE_FILES "/build.*;.*~;\\\\.git.*;\\\\.user$;\\\\.DS_Store")
set(CPACK_STRIP_FILES TRUE)
set(CPACK_SOURCE_STRIP_FILES TRUE)

include(CPack)

=== bccunit/CMakeLists.txt ===
# Copyright (c) 2013 Antonio Valentino <antonio.valentino@tiscali.it>

add_subdirectory(src)

=== docs/CMakeLists.txt ===
# Copyright (c) 2013 Antonio Valentino <antonio.valentino@tiscali.it>


find_package(Doxygen)
if(DOXYGEN_FOUND)
    add_custom_command(
        OUTPUT doxygen_main_content.html footer.html header.html images ${CMAKE_BINARY_DIR}/src/epr_api.h
        COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_SOURCE_DIR}/doxygen_main_content.html .
        COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_SOURCE_DIR}/footer.html .
        COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_SOURCE_DIR}/header.html .
        COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR}/images images
        COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_SOURCE_DIR}/src/epr_api.h ${CMAKE_BINARY_DIR}/src/epr_api.h
        COMMENT "Copy template files and images")

    add_custom_target(doc ALL
        ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.txt
        DEPENDS ${CMAKE_BINARY_DIR}/src/epr_api.h doxygen_main_content.html footer.html header.html images
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
        COMMENT "Generating API documentation with Doxygen" VERBATIM
    )

    add_custom_target(
        clean_doc
        COMMAND ${CMAKE_COMMAND} -E remove_directory epr_c_api
        COMMENT "Clean HTML doc")

    #add_dependencies(clean clean_doc)

    install(
        DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/epr_c_api/
        DESTINATION share/doc/epr-api/html
        COMPONENT doc)
    install(
        DIRECTORY images
        DESTINATION share/doc/epr-api
        COMPONENT doc)

endif(DOXYGEN_FOUND)

=== src/CMakeLists.txt ===
# Copyright (c) 2013-2014 Antonio Valentino <antonio.valentino@tiscali.it>


# sources
set(SOURCES epr_api.c
            epr_core.c
            epr_dddb.c
            epr_product.c
            epr_dataset.c
            epr_string.c
            epr_ptrarray.c
            epr_field.c
            epr_record.c
            epr_param.c
            epr_dsd.c
            epr_msph.c
            epr_swap.c
            epr_band.c
            epr_bitmask.c
            epr_dump.c
            epr_typconv.c
)

if(NOT DISABLE_SYMBOL_CONTROL)
    #if(CMAKE_C_COMPILER_ID STREQUAL GNU)
    if(NOT APPLE AND NOT MSVC)
        # Assume to work with the GNU linker
        # On some GNU/Linux distribution it is possible to use both GCC and
        # Clang as compilers
        set(SYMBOL_LIST ${CMAKE_CURRENT_SOURCE_DIR}/epr_api.ver)
        set(CMAKE_SHARED_LINKER_FLAGS
            "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--version-script=${SYMBOL_LIST}")
    endif(NOT APPLE AND NOT MSVC)

    if(APPLE)
        set(SYMBOL_LIST ${CMAKE_CURRENT_SOURCE_DIR}/epr_api.exported)
        set(CMAKE_SHARED_LINKER_FLAGS
            "${CMAKE_SHARED_LINKER_FLAGS} -Wl,-exported_symbols_list,${SYMBOL_LIST}")
    endif(APPLE)

    #if(MSVC)
    #    set(SYMBOL_LIST ${CMAKE_CURRENT_SOURCE_DIR}/epr_api.def)
    #    set(CMAKE_SHARED_LINKER_FLAGS
    #        ${CMAKE_SHARED_LINKER_FLAGS} /DEF:${SYMBOL_LIST})
    #endif(MSVC)
endif(NOT DISABLE_SYMBOL_CONTROL)

if(CMAKE_C_COMPILER_ID STREQUAL GNU OR CMAKE_C_COMPILER_ID STREQUAL Clang)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -std=c89")
endif(CMAKE_C_COMPILER_ID STREQUAL GNU OR CMAKE_C_COMPILER_ID STREQUAL Clang)

# targets
add_library(epr_api SHARED ${SOURCES})
set_target_properties(epr_api PROPERTIES
    VERSION ${EPR_API_VERSION_STRING}
    SOVERSION ${EPR_API_SOVERSION})
if(NOT MSVC)
    target_link_libraries(epr_api m)
endif()


if(BUILD_STATIC_LIB)
    add_library(epr_api_static STATIC ${SOURCES})
    set_target_properties(epr_api_static PROPERTIES OUTPUT_NAME epr_api)
endif(BUILD_STATIC_LIB)


# sub-directories
if(BUILD_TESTS)
    add_subdirectory(api-test)
    add_subdirectory(test)
endif(BUILD_TESTS)


# install
install(FILES epr_api.h epr_ptrarray.h DESTINATION include COMPONENT lib)
install(TARGETS epr_api DESTINATION lib COMPONENT dev)
if(BUILD_STATIC_LIB)
    install(TARGETS epr_api_static ARCHIVE DESTINATION lib COMPONENT dev)
endif(BUILD_STATIC_LIB)

=== bccunit/src/CMakeLists.txt ===
# Copyright (c) 2013 Antonio Valentino <antonio.valentino@tiscali.it>

add_library(bccunit STATIC bccunit.c)

add_executable(bccunit_test bccunit_test.c)
target_link_libraries(bccunit_test bccunit)

add_test(BCCUNIT_TEST_SUITE_01 bccunit_test)
set_tests_properties(BCCUNIT_TEST_SUITE_01 PROPERTIES PASS_REGULAR_EXPRESSION
    "bccunit: test summary: 4 test case\\(s\\) total, 2 failure\\(s\\), 0 error\\(s\\)")

=== src/api-test/CMakeLists.txt ===
# Copyright (c) 2013 Antonio Valentino <antonio.valentino@tiscali.it>

add_executable(api_tests api_tests.c)
target_link_libraries(api_tests epr_api)

#add_test(TEST_API_02 api_tests)

=== src/test/CMakeLists.txt ===
# Copyright (c) 2013 Antonio Valentino <antonio.valentino@tiscali.it>

add_executable(epr_subset_test epr_subset_test.c)
target_link_libraries(epr_subset_test epr_api)

add_executable(epr_test_endian epr_test_endian.c)
target_link_libraries(epr_test_endian epr_api)

# the following test programs use some internal function that is not exported
# by the shared library
if(BUILD_STATIC_LIB)
    add_executable(epr_main_test epr_main_test.c)
    target_link_libraries(epr_main_test epr_api_static bccunit m)

    add_executable(api_unit_tests api_unit_tests.c)
    target_link_libraries(api_unit_tests epr_api_static m)
elseif(BUILD_STATIC_LIB)
    add_executable(epr_main_test epr_main_test.c ${SOURCES})
    target_link_libraries(epr_main_test bccunit m)

    add_executable(api_unit_tests api_unit_tests.c ${SOURCES})
    target_link_libraries(api_unit_tests m)
endif(BUILD_STATIC_LIB)


# endianess
include(TestBigEndian)

TEST_BIG_ENDIAN(BIGENDIAN)
if(${BIGENDIAN})
    set(ENDIANESS BE)
else(${BIGENDIAN})
    set(ENDIANESS LE)
endif(${BIGENDIAN})


#add_test(TEST_API_01 api_unit_tests)
#add_test(TEST_EPR_01 epr_main_test)
#add_test(TEST_EPR_02 epr_subset_test)
add_test(TEST_EPR_03 epr_test_endian)
set_tests_properties(TEST_EPR_03 PROPERTIES PASS_REGULAR_EXPRESSION
    ${ENDIANESS})

## epr-api 2.2

=== debian/changelog ===
epr-api (2.2-2) unstable; urgency=low

  * Install images for html docs.
  * Removed build dependency from quilt: it is superfluous with source
    format 3.0.
  * Fixed watch file.
  * Copyright file converted to DEP5 format.
  * Policy bumped to 3.9.2, no changes.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 01 Aug 2011 22:10:36 +0200

epr-api (2.2-1) unstable; urgency=low

  * Initial release (Closes: #606877)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 12 Dec 2010 19:20:43 +0100

=== debian/control ===
Source: epr-api
Section: libs
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: cdbs, debhelper (>= 7.0.50~), doxygen
Standards-Version: 3.9.2
Homepage: http://github.com/bcdev/epr-api
Vcs-Git: git://git.debian.org/git/pkg-grass/epr-api.git
Vcs-Browser: http://git.debian.org/?p=pkg-grass/epr-api.git

Package: libepr-api2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ENVISAT Product Reader API for C
 The ENVISAT Product Reader API is a set of C-source code files
 supporting developers who want to use MERIS, AATSR, and ASAR data
 products of the ESA ENVISAT satellite in their software.
 .
 The main use case for the C API is the ingestion of ENVISAT data into
 * new scientific algorithms developed for the MERIS, AATSR or ASAR
   sensors or even all of them,
 * existing scientific software packages written in C or C++, or COTS
   software systems which allow for extension using a C or C++
   interface.

Package: libepr-api2-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, libc6-dev, libepr-api2 (>= ${binary:Version}),
         libepr-api2 (<< ${binary:Version}+1~)
Provides: libepr-api-dev
Conflicts: libepr-api-dev
Description: ENVISAT Product Reader API for C - Development files
 The ENVISAT Product Reader API is a set of C-source code files
 supporting developers who want to use MERIS, AATSR, and ASAR data
 products of the ESA ENVISAT satellite in their software.
 .
 The main use case for the C API is the ingestion of ENVISAT data into
   * new scientific algorithms developed for the MERIS, AATSR or ASAR
     sensors or even all of them,
   * existing scientific software packages written in C or C++, or COTS
     software systems which allow for extension using a C or C++
     interface.
 .
 This package contains development files (headers).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk


DEB_MAKE_BUILD_TARGET = all_rel
DEB_MAKE_CLEAN_TARGET = CONFIG=release clean
DEB_MAKE_EXTRA_ARGS   = LDFLAGS="-soname=libepr_api.so.2"


makebuilddir/libepr-api2::
	mkdir -p $(DEB_BUILDDIR)/build/release


build/libepr-api2::
	strip --strip-unneeded $(DEB_BUILDDIR)/build/release/libepr_api.so

build/libepr-api2-dev::
	cd $(DEB_BUILDDIR)/build && ln -sf ../docs/*.html ../docs/*.txt .
	cd $(DEB_BUILDDIR)/build && ln -sf ../docs/images
	mkdir -p $(DEB_BUILDDIR)/build/epr_c_api
	cd $(DEB_BUILDDIR)/build && doxygen Doxyfile.txt


install/libepr-api2::
	install -D --mode=0644 $(DEB_BUILDDIR)/build/release/libepr_api.so $(DEB_DESTDIR)/usr/lib/libepr_api.so.2


install/libepr-api2-dev::
	install -D --mode=0644 $(DEB_SRCDIR)/src/epr_api.h $(DEB_DESTDIR)/usr/include/epr_api.h
	install -D --mode=0644 $(DEB_SRCDIR)/src/epr_ptrarray.h $(DEB_DESTDIR)/usr/include/epr_ptrarray.h


clean::
	rm -rf $(DEB_BUILDDIR)/build


.PHONY: get-orig-source

get-orig-source:
	uscan --force-download --destdir=debian
	mv debian/?.?.tar.gz ../$(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://githubredir.debian.net/github/bcdev/epr-api/ (.*)\.tar\.gz

## epr-api 2.3~dev20150708

=== debian/changelog ===
epr-api (2.3~dev20150708-2) unstable; urgency=medium

  * Team upload.
  * Update Vcs-Git URL to use HTTPS.
  * Update GitHub URLs to use HTTPS.
  * Update watch file to handle common issues.
  * Bump Standards-Version to 3.9.8, no changes.
  * Restructure control file with cme.
  * Enable parallel builds.
  * Enable bindnow hardening buildflags.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 May 2016 00:18:27 +0200

epr-api (2.3~dev20150708-1) unstable; urgency=medium

  * New upstream snapshot
  * Removed embedded javascript libraries (added new dependency
    from libjs-jquery)
  * Updated copyright file
  * HTML docs are no longer compressed

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 08 Jul 2015 19:32:53 +0000

epr-api (2.3~dev20140814b-1) unstable; urgency=low

  * New upstream snapshot
  * Standard version bumped to 3.9.6 (no changes)
  * Compat have been set to 9
  * Removed all patches (applied upstream)
  * The -dev package has been renamed from libepr-api2-dev (that
    is now a dummy package) into libepr-api-dev
  * Now the -dev package also provides a static version of the library
  * debian/control
    - the -dev package is now architecture any
    - the -dev package now Depends from libepr-api2 (= ${binary:Version})
      (Closes: #742332)
    - fixed formatting of the package description
    - use canonical URL for VCS fields
    - added build dependency from cmake
    - dropped build dependency from cdbs
  * debian/rules
    - switch from cdbs to dh (debhelper command sequencer)
    - fixed changelog installation (now dh_installchangelog is used)
  * debian/copyright
    - use versioned copyright format uri
    - updated dates in copyright statements
  * Added symbol file

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 10 Jan 2015 11:06:38 +0000

=== debian/control ===
Source: epr-api
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               doxygen
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/epr-api.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/epr-api.git
Homepage: https://github.com/bcdev/epr-api

Package: libepr-api2
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ENVISAT Product Reader API for C
 The ENVISAT Product Reader API is a set of C-source code files
 supporting developers who want to use MERIS, AATSR, and ASAR data
 products of the ESA ENVISAT satellite in their software.
 .
 The main use case for the C API is the ingestion of ENVISAT data into
   * new scientific algorithms developed for the MERIS, AATSR or ASAR
     sensors or even all of them,
   * existing scientific software packages written in C or C++, or COTS
     software systems which allow for extension using a C or C++
     interface.

Package: libepr-api-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libepr-api2 (= ${binary:Version}),
         libjs-jquery
Breaks: libepr-api2-dev (<< 2.3~dev20140322-1~)
Provides: libepr-api2-dev
Replaces: libepr-api2-dev (<< 2.3~dev20140322-1~)
Description: ENVISAT Product Reader API for C - Development files
 The ENVISAT Product Reader API is a set of C-source code files
 supporting developers who want to use MERIS, AATSR, and ASAR data
 products of the ESA ENVISAT satellite in their software.
 .
 The main use case for the C API is the ingestion of ENVISAT data into
   * new scientific algorithms developed for the MERIS, AATSR or ASAR
     sensors or even all of them,
   * existing scientific software packages written in C or C++, or COTS
     software systems which allow for extension using a C or C++
     interface.
 .
 This package contains development files (headers and static libraries).

Package: libepr-api2-dev
Architecture: all
Section: oldlibs
Depends: libepr-api-dev,
         ${misc:Depends}
Description: ENVISAT Product Reader API for C - Transitional package
 The ENVISAT Product Reader API is a set of C-source code files
 supporting developers who want to use MERIS, AATSR, and ASAR data
 products of the ESA ENVISAT satellite in their software.
 .
 The main use case for the C API is the ingestion of ENVISAT data into
   * new scientific algorithms developed for the MERIS, AATSR or ASAR
     sensors or even all of them,
   * existing scientific software packages written in C or C++, or COTS
     software systems which allow for extension using a C or C++
     interface.
 .
 This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

CMAKE_EXTRA_FLAGS += -DBUILD_DOCS:BOOL=ON -DBUILD_TESTS:BOOL=ON


%:
	dh $@ --buildsystem=cmake --builddirectory=build --parallel


override_dh_auto_configure:
	mkdir -p build
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)


override_dh_auto_build:
	dh_auto_build
	rm -f build/docs/epr_c_api/jquery.js


override_dh_compress:
	dh_compress -X.html


override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.txt


get-orig-source:
	uscan --force-download


.PHONY: get-orig-source override_dh_auto_configure override_dh_auto_build \
        override_dh_compress override_dh_installchangelogs

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|epr-api)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/epr-api-$1.$2/ \
https://github.com/bcdev/epr-api/tags \
(?:.*?/)?(?:rel|v|epr-api)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## epr-api 2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 
 # NOTE: only change this when an ABI change happens
-set(EPR_API_SOVERSION 2)
+set(EPR_API_SOVERSION 3)
 
 
 # options

=== src/test/CMakeLists.txt ===
--- 
+++ 
@@ -3,23 +3,30 @@
 add_executable(epr_subset_test epr_subset_test.c)
 target_link_libraries(epr_subset_test epr_api)
 
+add_executable(epr_performance_test epr_performance_test.c)
+target_link_libraries(epr_performance_test epr_api)
+
 add_executable(epr_test_endian epr_test_endian.c)
 target_link_libraries(epr_test_endian epr_api)
+
+if(NOT MSVC)
+    set(EXTRALIBS "m")
+endif(NOT MSVC)
 
 # the following test programs use some internal function that is not exported
 # by the shared library
 if(BUILD_STATIC_LIB)
     add_executable(epr_main_test epr_main_test.c)
-    target_link_libraries(epr_main_test epr_api_static bccunit m)
+    target_link_libraries(epr_main_test epr_api_static bccunit ${EXTRALIBS})
 
     add_executable(api_unit_tests api_unit_tests.c)
-    target_link_libraries(api_unit_tests epr_api_static m)
+    target_link_libraries(api_unit_tests epr_api_static ${EXTRALIBS})
 elseif(BUILD_STATIC_LIB)
     add_executable(epr_main_test epr_main_test.c ${SOURCES})
-    target_link_libraries(epr_main_test bccunit m)
+    target_link_libraries(epr_main_test bccunit ${EXTRALIBS})
 
     add_executable(api_unit_tests api_unit_tests.c ${SOURCES})
-    target_link_libraries(api_unit_tests m)
+    target_link_libraries(api_unit_tests ${EXTRALIBS})
 endif(BUILD_STATIC_LIB)

=== debian/changelog ===
epr-api (2.3-2) unstable; urgency=medium

  * debian/control:
    - Mark libepr-api-dev as "Multi-Arch: same".

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 23 Jan 2026 08:04:24 +0000

epr-api (2.3-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Move docs from libepr-epi3 to libepr-api-dev,
    mark libepr-epi3 as Multi-Arch: same.

  [ Antonio Valentino ]
  * Upload to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 10 Jan 2026 08:45:34 +0000

epr-api (2.3-1~exp1) experimental; urgency=medium

  [ Bas Couwenberg ]
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.
  * Strip pre-release from symbols version.
  * Drop libepr-api-dev.links.
  * Add to patch to install library in Multi-Arch path.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - Refresh all patches.
  * Update d/copyright.
  * Update d/watch.
  * SOVERSION bump: rename libepr-api2 into libepr-api3.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 03 Jan 2026 19:32:07 +0000

epr-api (2.3~dev20150708-14) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * New 0002-CMake-4.0-compat.patch (Closes: #1112873).
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 01 Sep 2025 05:39:19 +0000

epr-api (2.3~dev20150708-13) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Enable Salsa CI.

  [ Antonio Valentino ]
  * debian/control:
    - Move common package description to source.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 26 Nov 2023 08:06:45 +0000

epr-api (2.3~dev20150708-12) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.

  [ Antonio Valentino ]
  * debian/copyright:
    - Fix formatting
    - Update copyright date.
  * New lintian-overrides for generated Doxygen documentation.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Oct 2022 08:37:47 +0000

epr-api (2.3~dev20150708-11) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.6.0, no changes.
  * Update watch file for GitHub URL changes.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Nov 2021 18:18:35 +0000

epr-api (2.3~dev20150708-10) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0, no changes.
  * debian/control:
    - set Rules-Requires-Root: no
  * Drop debian/source/lintian-overrides.
  * Add Forwarded field to all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 24 Oct 2020 07:44:39 +0000

epr-api (2.3~dev20150708-9) unstable; urgency=medium

  [ Antonio Valentino ]
  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.0, no changes.
  * Bump debhelper from old 11 to 12.
  * Remove obsolete fields Name from debian/upstream/metadata.

  [ Bas Couwenberg ]
  * Include libepr_api.so in -dev package.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 24 Aug 2019 07:37:25 +0000

epr-api (2.3~dev20150708-8) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.3.0, no changes.
  * Add Build-Depends-Package field to symbols file.

  [ Antonio Valentino ]
  * Fix lintian warnings about file-references-package-build-path.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 23 Feb 2019 14:22:34 +0000

epr-api (2.3~dev20150708-7) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.2.0, no changes.
  * Update watch file to use releases instead of tags.
  * Update watch file to limit matches to archive path.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 18 Aug 2018 16:42:10 +0200

epr-api (2.3~dev20150708-6) unstable; urgency=medium

  * Team upload.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 14:01:55 +0200

epr-api (2.3~dev20150708-5) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.5, no changes.

  [ Antonio Valentino ]
  * debian/rules
    - remove unnecessary target: get-orig-sources
    - strip trailing whitespaces
  * Strip trailing whitespaces in debian/changelog and debian/control.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Jul 2018 10:16:05 +0200

epr-api (2.3~dev20150708-4) unstable; urgency=medium

  [ Antonio Valentino ]
  * debian/copyright
    - fix copyright Format URL (cme)
    - reformat (cme)
  * debian/control
    - drop the libepr-api2-dev tranistional dummy package
  * set compat to 11
  * debian/rules
    - drop override_dh_auto_build in .PHONY
    - remove unnecessary dh arguments (--parallel)
  * debian/patches
    - refresh and renumber all patches
  * Add metadata file.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.1.3, no changes.
  * Don't use libjs-jquery for Doxygen docs.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 04 Mar 2018 08:13:41 +0000

epr-api (2.3~dev20150708-3) unstable; urgency=medium

  * Team upload.
  * Enable PIE hardening buildflags.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Update spelling-errors.patch to fix 'Presence' typo.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Jun 2017 15:50:44 +0200

=== debian/control ===
Source: epr-api
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: libs
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian-gis-team/epr-api
Vcs-Git: https://salsa.debian.org/debian-gis-team/epr-api.git
Homepage: https://github.com/bcdev/epr-api
Description: ENVISAT Product Reader API for C
 The ENVISAT Product Reader API is a set of C-source code files
 supporting developers who want to use MERIS, AATSR, and ASAR data
 products of the ESA ENVISAT satellite in their software.
 .
 The main use case for the C API is the ingestion of ENVISAT data into
   * new scientific algorithms developed for the MERIS, AATSR or ASAR
     sensors or even all of them,
   * existing scientific software packages written in C or C++, or COTS
     software systems which allow for extension using a C or C++
     interface.

Package: libepr-api3
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: libepr-api-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libepr-api3 (= ${binary:Version}),
         ${misc:Depends}
Description: ${source:Synopsis} -- Development files
 ${source:Extended-Description}
 .
 This package contains development files (headers and static libraries).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG

CMAKE_EXTRA_FLAGS += -DBUILD_DOCS:BOOL=ON -DBUILD_TESTS:BOOL=ON

include /usr/share/dpkg/pkg-info.mk
UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

%:
	dh $@ --buildsystem=cmake --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_compress:
	dh_compress -X.html

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.txt

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(UPSTREAM_VERSION)

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/ \
https://github.com/bcdev/epr-api/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S+(?<!post\d))\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
